<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
VerifyVersion Method (IEdmVault5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault5 Interface : VerifyVersion Method (IEdmVault5)

Visual Basic
C#
C++/CLI

lMajor
  Minimum major version number

lMinor
  Minimum minor version number

Verifies that the installed SOLIDWORKS PDM Professional is at the specified version level or higher.

# Syntax

Visual Basic |
--- | ---

    Sub VerifyVersion( _
       ByVal lMajor As System.Integer, _
       ByVal lMinor As System.Integer _
    )

C# |
--- | ---

    void VerifyVersion(
       System.int lMajor,
       System.int lMinor
    )

C++/CLI |
--- | ---

    void VerifyVersion(
    &   System.int lMajor,
    &   System.int lMinor
    )

#### Parameters

lMajor
  Minimum major version number
lMinor
  Minimum minor version number

# Example

Vault Utilities (VB.NET)
Vault Utilities (C#)

# Remarks

Add-ins that depend on a specific SOLIDWORKS PDM Professional version should make themselves impossible to install on earlier versions of SOLIDWORKS PDM Professional. To do this, set the minimum version of SOLIDWORKS PDM Professional in mlRequiredVersionMajor and mlRequiredVersionMinor of the EdmAddInInfo structure that is passed as a parameter in IEdmAddIn5::GetAddInInfo.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_UNSUPPORTED_PROGRAM_VERSION: The installed program is at a version level that is lower than the specified version.

# See Also

####

IEdmVault5 Interface
IEdmVault5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2